#pragma once

#include <vector>
#include <string>

#include <C2/graph/material.h>



namespace lib_geo
{


class BaseMaterial : public lgr::Material
{
public:
	BaseMaterial(void) : lgr::Material() {}
	BaseMaterial(const lgr::Material& m) : lgr::Material(m) {}

	void operator=(const lgr::Material& m)
	{
		(*dynamic_cast<lgr::Material*>(this)) = m;
	}

	std::string m_Name;
};


}
